'use strict';

var index = require('./index-4qAdwwwT.js');
var index$1 = require('./index-B-Dw-4Qa.js');
var dataTestIds_enum = require('./dataTestIds.enum-8bmOw0Uf.js');
var getIconHtmlFromIconDefinition = require('./getIconHtmlFromIconDefinition-CcxaDUjV.js');
var index$2 = require('./index-CVw4GUo6.js');
var getIconHtmlFromIconName = require('./getIconHtmlFromIconName-C81SQtii.js');
require('./_commonjsHelpers-CFO10eej.js');

const customToastCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.toast-wrapper{align-items:flex-start;-webkit-backdrop-filter:blur(38px);backdrop-filter:blur(38px);background:var(--mx-tx-bg);border:.5px solid var(--mx-tx-bg);border-radius:12px;gap:12px;padding:12px;position:relative;width:315px}.icon-close,.toast-wrapper{display:flex;flex-direction:column}.icon-close{background:0 0;border:none;color:var(--mx-tx-text-primary);cursor:pointer;flex-shrink:0;height:20px;justify-content:center;padding:0;position:absolute;right:12px;top:12px;width:20px}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.toast-body{align-items:flex-start;align-self:stretch;display:flex;gap:12px;width:100%}";

const CustomToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.deleteToast = index.createEvent(this, "deleteToast", 1);
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        return (index.h("div", { key: '2112016fd949f70368c157afd6e960182efb26ca', class: "toast-wrapper", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastContent }, index.h("button", { key: '02316b4be2166b9abf5517adfc681d0c6e81011c', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition.getIconHtmlFromIconDefinition(index$1.faTimes) }), index.h("div", { key: '35dda27dbb20f9b03790409ec0b36cc327d31bc8', class: "toast-body", ref: container => this.initializeToast(container) })));
    }
    initializeToast(container) {
        if (!container || container.hasChildNodes()) {
            return;
        }
        const customElement = this.toast.instantiateToastElement();
        if (!customElement) {
            return;
        }
        container.appendChild(customElement);
    }
};
CustomToast.style = customToastCss;

const simpleToastCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.content{-webkit-backdrop-filter:blur(38px);backdrop-filter:blur(38px);background:var(--mx-tx-bg);border:.5px solid var(--mx-tx-bg);border-radius:12px;flex-direction:column;padding:12px;position:relative;width:315px}.content,.content-left{align-items:flex-start;display:flex;gap:12px}.content-left{align-self:stretch}.content-icon{align-items:center;border-radius:50%;display:flex;height:20px;justify-content:center;width:20px}.content-icon .fa-icon .svg-inline--fa,.content-icon img,.content-icon svg{height:16px;width:16px}.content-icon.success{background:var(--mx-toast-success-bg);color:var(--mx-toast-success-color)}.content-icon.warning{background:var(--mx-toast-pending-bg);color:var(--mx-toast-pending-color)}.content-icon.danger{background:var(--mx-toast-error-bg);color:var(--mx-toast-error-color)}.content-right{align-items:flex-start;display:flex;flex:1 0 0;flex-direction:column;gap:4px}.content-heading{align-items:center;align-self:stretch;display:flex;gap:12px;justify-content:space-between;line-height:16px}.content-heading-title{color:var(--mx-tx-text-primary);font-family:var(--font-family-roobert);font-size:16px;font-style:normal;font-weight:700;margin:0}.icon-close{background:0 0;border:none;color:var(--mx-tx-text-primary);cursor:pointer;display:flex;flex-direction:column;flex-shrink:0;height:20px;justify-content:center;padding:0;width:20px}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.subtitle{line-height:14px}.content-message,.subtitle{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:14px;font-style:normal;font-weight:400;letter-spacing:-.14px}.content-message{line-height:16px}.content-message.no-margin{margin-top:0}";

const SimpleToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.deleteToast = index.createEvent(this, "deleteToast", 1);
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderIcon() {
        const { icon, iconClassName } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName.getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        if (!iconHtml) {
            return null;
        }
        return (index.h("div", { class: {
                'content-icon': true,
                [iconClassName]: Boolean(iconClassName),
            }, innerHTML: iconHtml }));
    }
    render() {
        const { title, message, subtitle } = this.toast;
        return (index.h("div", { key: 'e60de62e85563f48571e0505e6e0525683258c68', class: "content", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastContent, id: `toast-${this.toast.toastId}` }, index.h("div", { key: '86105073f635c40f07053cbe99d975632c712e59', class: "content-left" }, this.renderIcon(), index.h("div", { key: '715e1f115d96906d8ed0faee3f410ea6f372f15e', class: "content-right" }, index.h("div", { key: '5c05adccaf3cec4f709a7f7da6b05d4bdf68faa3', class: "content-heading" }, title && (index.h("h5", { key: '164b5b383688e4785c20631296f98fbdee6e43f7', class: "content-heading-title", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastTitle }, title)), index.h("button", { key: '0a39108d4afe6d461f5139f125a8dbdbca70c252', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition.getIconHtmlFromIconDefinition(index$1.faTimes) })), subtitle && index.h("div", { key: 'c0a09d35d3bdea3f4f79e04125cf2a6b41930fea', class: "subtitle" }, subtitle), message && index.h("div", { key: 'ec02d39de37f76f58c2f34396d14e7ad345ba435', class: index$2.classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
};
SimpleToast.style = simpleToastCss;

exports.mvx_custom_toast = CustomToast;
exports.mvx_simple_toast = SimpleToast;
//# sourceMappingURL=mvx-custom-toast.mvx-simple-toast.entry.cjs.js.map

//# sourceMappingURL=mvx-custom-toast_2.cjs.entry.js.map