import { h } from "@stencil/core";
import classNames from "classnames";
export class TransactionDirectionBadge {
    render() {
        return (h("div", { key: '0f537b6f110c8dc24b6e09c72b5c97d59c38b086', class: classNames(this.class, 'transaction-direction-badge') }, h("span", { key: '9b25a4c3f32f6efa258acb3abf5bd1d0fecd6c73', class: {
                directionBadge: true,
                [this.direction.toLowerCase()]: true,
            } }, this.direction.toUpperCase())));
    }
    static get is() { return "mvx-transaction-direction-badge"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-direction-badge.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-direction-badge.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "direction": {
                "type": "string",
                "attribute": "direction",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-direction-badge.js.map
