import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionMethod {
    render() {
        return (h("span", { key: '96d0c8279920ab1b7c443b4f4128050c7bfbda39', class: classNames('badge badge-secondary badge-pill font-weight-light transaction-method', this.class), "data-testid": DataTestIdsEnum.method, title: this.actionDescription }, h("div", { key: 'e44fe9be52b8d60c2bb190b403a8ce96e4e793f5', class: "badge badge-secondary badge-pill" }, h("div", { key: '5a7b5b7e2f4ed5b52c55a89aa99f86ac5e4458e6', class: "text-truncate text-capitalize text-white" }, this.method))));
    }
    static get is() { return "mvx-transaction-method"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "actionDescription": {
                "type": "string",
                "attribute": "action-description",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "method": {
                "type": "string",
                "attribute": "method",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-method.js.map
