import { faLayerGroup } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionValue {
    render() {
        var _a;
        return (h("div", { key: '0d2db904d337fd3a3e8e9e441002adbfcef6feca', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '2b30515f229a5fbecdf39f4774f814d4186ebeb5', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("mvx-format-amount", { key: '710dab7d879b1968ca885f10e2dd3b62770276fb', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("mvx-explorer-link", { key: '26d20559be1820a865e7656e87a7bb1d6f71c10b', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: 'bd42b9c2db228d6e1a72543284a2cef3826d7f2a', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: 'a86cb43b7f72f8c6089528d2ac689bbe94995da7', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: 'da4f216c02bcb5e86b77fdc30002353e6334ef3b', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("mvx-fa-icon", { key: 'dbbea81ea13fc91eb9bc73fe45f04d7769364f47', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get is() { return "mvx-transaction-value"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "value": {
                "type": "unknown",
                "attribute": "value",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionValue",
                    "resolved": "ITransactionValue",
                    "references": {
                        "ITransactionValue": {
                            "location": "import",
                            "path": "components/controlled/transactions-table/transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionValue"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-value.js.map
