import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: '2ac561fdd28dcfd5cab1117617cabb48bd03770a', class: "balance-container" }, this.header && h("p", { key: '99b3c92bfef6ab6e72f4d69543e85b91bad4a18c' }, this.header), h("div", { key: 'b6525b515022f2d296a3e421ef58cd2f90f76256', class: "amount-container" }, h("span", { key: '65ed7423d2434082d0c0bfdef561364f85c47f4e', class: "amount-value" }, this.amount), h("span", { key: '20bd0f1112e732208cce81b84b22c57af3d03577', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'd0dfe4b9740955b8db31c41c3c11efb5f1319500' }, this.usdValue)));
    }
    static get is() { return "mvx-balance-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "attribute": "amount",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "attribute": "ticker",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "attribute": "usd-value",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "header": {
                "type": "string",
                "attribute": "header",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
