import { h } from "@stencil/core";
import { ProviderTypeEnum } from "../../../../types/provider.types";
export const getProviderButtonIcon = (providerType) => {
    switch (providerType) {
        case ProviderTypeEnum.extension:
            return h("mvx-extension-provider-icon", null);
        case ProviderTypeEnum.metamask:
            return h("mvx-metamask-provider-icon", null);
        case ProviderTypeEnum.passkey:
            return h("mvx-passkey-provider-icon", null);
        case ProviderTypeEnum.walletConnect:
            return h("mvx-multiversx-logo-icon", null);
        case ProviderTypeEnum.ledger:
            return h("mvx-ledger-provider-icon", null);
        case ProviderTypeEnum.crossWindow:
            return h("mvx-wallet-provider-icon", null);
        default:
            return h("mvx-multiversx-logo-icon", null);
    }
};
//# sourceMappingURL=getProviderButtonIcon.js.map
