import type { EventEmitter } from '../../../../stencil-public-runtime';
import type { IAccountScreenData } from '../ledger.types';
export declare class LedgerAddresses {
    accountScreenData: IAccountScreenData;
    selectedIndex: number;
    accessWallet: EventEmitter;
    selectAccount: EventEmitter;
    pageChange: EventEmitter<number>;
    handleAccessWallet(event: MouseEvent): void;
    handleSelectAccount(accountDerivationIndex: number): (event: MouseEvent) => void;
    private handlePageChange;
    private processLedgerAddressIndex;
    render(): any;
}
