import type { IEventBus } from "../../../utils/EventBus";
import type { ITransactionListItem } from '../../visual/transaction-list-item/transaction-list-item.types';
import type { ITransactionToast } from '../toasts-list/components/transaction-toast/transaction-toast.type';
export declare class NotificationsFeed {
    isOpen: boolean;
    pendingTransactions: ITransactionToast[];
    transactionsHistory: ITransactionListItem[];
    private eventBus;
    private closeEventTimeout;
    private clearTimeouts;
    disconnectedCallback(): void;
    getEventBus(): Promise<IEventBus>;
    handleClose: () => void;
    handleClear: () => void;
    handleViewAll: () => void;
    render(): any;
    private pendingTransactionsUpdate;
    private transactionsHistoryUpdate;
    componentDidLoad(): void;
}
