import type { IEventBus } from "../../../utils/EventBus";
import type { IWalletConnectPanelData } from './wallet-connect.types';
interface IWalletConnectEventBusProps {
    forceUpdateFn: () => void;
    closeFn: () => void;
}
export declare class WalletConnectBase {
    data: IWalletConnectPanelData;
    eventBus: IEventBus;
    constructor(data: IWalletConnectPanelData);
    getEventBus(): IEventBus;
    generateSVG(wcURI: string): Promise<string>;
    subscribeEventBus({ closeFn, forceUpdateFn }: IWalletConnectEventBusProps): void;
    unsubscribeEventBus({ closeFn, forceUpdateFn }: IWalletConnectEventBusProps): void;
    private dataUpdate;
}
export {};
