import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';
import { f as faInfoCircle } from './p-K2hYtZxB.js';
import { E as EventBus } from './p-S9juR7eS.js';
import { d as defineCustomElement$g } from './p-DjFemheq.js';
import { d as defineCustomElement$f } from './p-rCB4Fvx9.js';
import { d as defineCustomElement$e } from './p-Dn1tg38d.js';
import { d as defineCustomElement$d } from './p-946SxRRB.js';
import { d as defineCustomElement$c } from './p-B5iAwuY1.js';
import { d as defineCustomElement$b } from './p-C1GhFI9A.js';
import { d as defineCustomElement$a } from './p-BNtfUvHJ.js';
import { d as defineCustomElement$9 } from './p-BRSMQlyL.js';
import { d as defineCustomElement$8 } from './p-qUl7CaCk.js';
import { d as defineCustomElement$7 } from './p-BrIedpQb.js';
import { d as defineCustomElement$6 } from './p-REkgsvlS.js';
import { d as defineCustomElement$5 } from './p-etvPd-DW.js';
import { d as defineCustomElement$4 } from './p-DVWerMva.js';
import { d as defineCustomElement$3 } from './p-BeNcJDrp.js';
import { d as defineCustomElement$2 } from './p-CH2JWmxz.js';

var NotificationsFeedEventsEnum;
(function (NotificationsFeedEventsEnum) {
    NotificationsFeedEventsEnum["CLOSE_NOTIFICATIONS_FEED"] = "CLOSE_NOTIFICATIONS_FEED";
    NotificationsFeedEventsEnum["CLEAR_NOTIFICATIONS_FEED_HISTORY"] = "CLEAR_NOTIFICATIONS_FEED_HISTORY";
    NotificationsFeedEventsEnum["OPEN_NOTIFICATIONS_FEED"] = "OPEN_NOTIFICATIONS_FEED";
    // Event to update the pending transactions list
    NotificationsFeedEventsEnum["PENDING_TRANSACTIONS_UPDATE"] = "PENDING_TRANSACTIONS_UPDATE";
    // Event to update the transactions history list
    NotificationsFeedEventsEnum["TRANSACTIONS_HISTORY_UPDATE"] = "TRANSACTIONS_HISTORY_UPDATE";
})(NotificationsFeedEventsEnum || (NotificationsFeedEventsEnum = {}));

const notificationsFeedCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;:root{--mx-accent:#fff;--mx-white:#fff;--mx-black:#000;--mx-neutral-900:#171717;--mx-neutral-50:#fafafa;--mx-neutral-400:#a3a3a3;--mx-text:var(--mx-white);--mx-primary-text:#262626;--mx-secondary-text:#868686;--mx-warning-text:#facc15;--mx-body-label-color:#a09a93;--mx-tx-bg:#353535;--mx-tx-bg-transparent:#3535354d;--mx-tx-text-primary:#e8e8e8;--mx-tx-text-secondary:#737373;--mx-toast-backdrop-blur:38px;--mx-toast-success-bg:#1d6030;--mx-toast-success-color:#4ade80;--mx-toast-pending-bg:#453412;--mx-toast-pending-color:#facc15;--mx-toast-error-bg:#ff474733;--mx-toast-error-color:#ff4747;--font-family-roobert:\"Roobert PRO\",system-ui,-apple-system,sans-serif;--mx-explorer-link-color:var(--mx-primary-text);--mx-transition:.3s ease-in-out}.feed-content{display:flex;flex-direction:column;gap:24px;height:100%;overflow:hidden;padding:4px 0 0;position:relative}.feed-content .transaction-toast-content-wrapper{background:var(--mx-tx-bg-transparent);border-color:var(--mx-tx-bg-transparent);width:100%}.notifications-info{align-items:center;color:var(--mx-warning-text);display:flex;font-size:12px;font-style:normal;font-weight:400;gap:14px;justify-content:space-between;line-height:140%;margin:0}.notifications-info .info-icon{color:var(--mx-warning-text);font-size:16px;height:16px;width:16px}.notifications-container{margin-bottom:24px}.notifications-container .processing-status{color:var(--mx-body-label-color);font-size:16px;margin-bottom:16px}.activity-section{display:flex;flex:1;flex-direction:column;margin:0 -24px 0 0;min-height:0}.activity-header{align-items:center;display:flex;justify-content:space-between;margin:0 24px 16px 0}.activity-header .activity-title{color:var(--mx-body-label-color);font-size:20px;font-weight:500;margin:0}.activity-header .clear-button{background:0 0;border:none;color:#666;cursor:pointer;font-size:16px;padding:0}.activity-header .clear-button:hover{color:#000}.activity-list{display:flex;flex:1;flex-direction:column;gap:4px;min-height:0;overflow:hidden auto;padding:0 24px 0 0}.activity-list .no-activity{color:#666;padding:16px;text-align:center}.activity-list::-webkit-scrollbar{width:4px}.activity-list::-webkit-scrollbar-track{background:#0000000d;border-radius:2px}.activity-list::-webkit-scrollbar-thumb{background:#0003;border-radius:2px}.activity-list>*{box-sizing:border-box;max-width:100%;width:100%}";

const NotificationsFeed = /*@__PURE__*/ proxyCustomElement(class NotificationsFeed extends H {
    constructor() {
        super();
        this.__registerHost();
        this.isOpen = false;
        this.pendingTransactions = [];
        this.transactionsHistory = [];
        this.eventBus = new EventBus();
        this.closeEventTimeout = null;
        this.handleClose = () => {
            this.isOpen = false;
            this.eventBus.publish(NotificationsFeedEventsEnum.CLOSE_NOTIFICATIONS_FEED);
        };
        this.handleClear = () => {
            this.eventBus.publish(NotificationsFeedEventsEnum.CLEAR_NOTIFICATIONS_FEED_HISTORY);
        };
        this.handleViewAll = () => {
            this.isOpen = true;
        };
    }
    clearTimeouts() {
        if (this.closeEventTimeout) {
            clearTimeout(this.closeEventTimeout);
            this.closeEventTimeout = null;
        }
    }
    disconnectedCallback() {
        this.clearTimeouts();
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.PENDING_TRANSACTIONS_UPDATE, this.pendingTransactionsUpdate.bind(this));
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.TRANSACTIONS_HISTORY_UPDATE, this.transactionsHistoryUpdate.bind(this));
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.OPEN_NOTIFICATIONS_FEED, this.handleViewAll.bind(this));
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        var _a, _b, _c;
        const hasActivity = ((_a = this.transactionsHistory) === null || _a === void 0 ? void 0 : _a.length) > 0;
        const hasPending = ((_b = this.pendingTransactions) === null || _b === void 0 ? void 0 : _b.length) > 0;
        return (h("mvx-side-panel", { key: 'c36ea4c77fb44ae82c73163577710368f5037c62', isOpen: this.isOpen, panelTitle: "Notifications Feed", onClose: this.handleClose }, h("div", { key: '997dcfce30f7f5ec7444a761f4cf4b67ca36ed71', class: "feed-content" }, h("div", { key: '9bd69fe7605e5093214c8519b24abbc8a2b0917c', class: "notifications-info" }, h("mvx-fa-icon", { key: 'b42ade0a811c4cae08d732b91811bba616ad1835', class: "info-icon", icon: faInfoCircle }), "This feed is stored in your browser and will be reset when a new session is started.", h("fa-icon", { key: 'bc77f7fa0f1c440106290bdb4666e1fd48f098ec', class: "info-icon", icon: faInfoCircle })), hasPending && (h("div", { key: 'cbe14fc61e63d7e64d15599308d9a25bfa645b5d', class: "notifications-container" }, h("div", { key: '11266006fea54637c659ae982080f67d857f76a1', class: "processing-status" }, "Processing..."), (_c = this.pendingTransactions) === null || _c === void 0 ? void 0 :
            _c.map(toast => h("mvx-transaction-toast", Object.assign({ fullWidth: true }, toast))))), h("div", { key: 'f1b6244520366dfedb4f3b632e98bda6b1f560f3', class: "activity-section" }, h("div", { key: '1dc00bda801dbd1c8422480217d2c9f633ae1bd8', class: "activity-header" }, h("h3", { key: '74264b12f642ad2815d3debd3a14771f8e27974c', class: "activity-title" }, "Activity"), hasActivity && (h("button", { key: 'dd00129c76d46de98e1b9d45e1eb4bf92e3030b7', class: "clear-button", onClick: this.handleClear }, "Clear"))), h("div", { key: '890cc1c8d238a03531a3567d4652017f2456a2c5', class: "activity-list" }, hasActivity ? (this.transactionsHistory.map(transaction => h("mvx-transaction-list-item", { transaction: transaction }))) : (h("div", { class: "no-activity" }, "No activity to show")))))));
    }
    pendingTransactionsUpdate(payload) {
        this.pendingTransactions = [...payload];
    }
    transactionsHistoryUpdate(payload) {
        this.transactionsHistory = [...payload];
    }
    componentDidLoad() {
        this.eventBus.subscribe(NotificationsFeedEventsEnum.PENDING_TRANSACTIONS_UPDATE, this.pendingTransactionsUpdate.bind(this));
        this.eventBus.subscribe(NotificationsFeedEventsEnum.TRANSACTIONS_HISTORY_UPDATE, this.transactionsHistoryUpdate.bind(this));
        this.eventBus.subscribe(NotificationsFeedEventsEnum.OPEN_NOTIFICATIONS_FEED, this.handleViewAll.bind(this));
    }
    static get style() { return notificationsFeedCss; }
}, [0, "mvx-notifications-feed", {
        "isOpen": [32],
        "pendingTransactions": [32],
        "transactionsHistory": [32],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-notifications-feed", "mvx-back-arrow-icon", "mvx-close-icon", "mvx-copy-button", "mvx-default-transaction-icon-large", "mvx-default-transaction-icon-small", "mvx-explorer-link", "mvx-fa-icon", "mvx-side-panel", "mvx-transaction-list-item", "mvx-transaction-toast", "mvx-transaction-toast-content", "mvx-transaction-toast-details", "mvx-transaction-toast-details-body", "mvx-transaction-toast-progress", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-notifications-feed":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NotificationsFeed);
            }
            break;
        case "mvx-back-arrow-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$g();
            }
            break;
        case "mvx-close-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$f();
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$e();
            }
            break;
        case "mvx-default-transaction-icon-large":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "mvx-default-transaction-icon-small":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "mvx-side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "mvx-transaction-list-item":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "mvx-transaction-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxNotificationsFeed = NotificationsFeed;
const defineCustomElement = defineCustomElement$1;

export { MvxNotificationsFeed, defineCustomElement };
//# sourceMappingURL=mvx-notifications-feed.js.map

//# sourceMappingURL=mvx-notifications-feed.js.map