import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';
import { s as state } from './p-Dqx13Err.js';
import { d as defineCustomElement$4 } from './p-V2ivW0Qj.js';
import { d as defineCustomElement$3 } from './p-BYtHn57a.js';
import { d as defineCustomElement$2 } from './p-CuSXDp2-.js';

const TokenComponent = /*@__PURE__*/ proxyCustomElement(class TokenComponent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("mvx-sign-transaction-component", { key: '8f229a6bc92d9afd9604861143e2ac9d89276d8d', header: h("mvx-balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
}, [0, "mvx-token-component"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-token-component", "mvx-balance-component", "mvx-sign-transaction-component", "mvx-transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-token-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TokenComponent);
            }
            break;
        case "mvx-balance-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-sign-transaction-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-fee-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxTokenComponent = TokenComponent;
const defineCustomElement = defineCustomElement$1;

export { MvxTokenComponent, defineCustomElement };
//# sourceMappingURL=mvx-token-component.js.map

//# sourceMappingURL=mvx-token-component.js.map