import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';

const TriangularWarningIcon = /*@__PURE__*/ proxyCustomElement(class TriangularWarningIcon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("svg", { key: 'd1f4159994ca51b4d4d949c0cd8db78774512da2', xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 512 512" }, h("path", { key: '55c51bd42d4478929386b7d6d13b5aa2a8f3b2e8', d: "M256 32c14.2 0 27.3 7.5 34.5 19.8l216 368c7.3 12.4 7.3 27.7 .2 40.1S486.3 480 472 480L40 480c-14.3 0-27.6-7.7-34.7-20.1s-7-27.8 .2-40.1l216-368C228.7 39.5 241.8 32 256 32zm0 128c-13.3 0-24 10.7-24 24l0 112c0 13.3 10.7 24 24 24s24-10.7 24-24l0-112c0-13.3-10.7-24-24-24zm32 224a32 32 0 1 0 -64 0 32 32 0 1 0 64 0z" })));
    }
}, [1, "mvx-triangular-warning-icon"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-triangular-warning-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-triangular-warning-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TriangularWarningIcon);
            }
            break;
    } });
}

export { TriangularWarningIcon as T, defineCustomElement as d };
//# sourceMappingURL=p--lh0kMEr.js.map

//# sourceMappingURL=p--lh0kMEr.js.map