import { p as proxyCustomElement, H, c as createEvent, h } from './p-BpHwayS4.js';
import { c as classNames } from './p-DMLRPGid.js';
import { d as defineCustomElement$1 } from './p-C5WmA3fq.js';

const paginationEllipsisFormCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-color-neutral-700:oklch(.371 0 0);--mvx-spacing:.25rem;--mvx-radius-lg:.5rem;--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-color-teal-400:oklch(.777 .152 181.912);--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;@layer utilities{.mvx\\:p-\\[10px\\]{padding:10px}} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer properties{@supports (((-webkit-hyphens:none)) and (not (margin-trim:inline))) or ((-moz-orient:inline) and (not (color:rgb(from red r g b)))){*,::backdrop,:after,:before{--tw-border-style:solid}}}@layer base{}@layer components;@layer utilities{.mvx\\:absolute{position:absolute}.mvx\\:top-0{top:calc(var(--mvx-spacing)*0)}.mvx\\:right-0{right:calc(var(--mvx-spacing)*0)}.mvx\\:left-0{left:calc(var(--mvx-spacing)*0)}.mvx\\:mr-2{margin-right:calc(var(--mvx-spacing)*2)}.mvx\\:mr-auto{margin-right:auto}.mvx\\:ml-2{margin-left:calc(var(--mvx-spacing)*2)}.mvx\\:flex{display:flex}.mvx\\:h-4\\!{height:calc(var(--mvx-spacing)*4)!important}.mvx\\:h-12{height:calc(var(--mvx-spacing)*12)}.mvx\\:h-16\\!{height:calc(var(--mvx-spacing)*16)!important}.mvx\\:w-4\\!{width:calc(var(--mvx-spacing)*4)!important}.mvx\\:w-9\\!{width:calc(var(--mvx-spacing)*9)!important}.mvx\\:w-10\\!{width:calc(var(--mvx-spacing)*10)!important}.mvx\\:w-13\\!{width:calc(var(--mvx-spacing)*13)!important}.mvx\\:w-17\\!{width:calc(var(--mvx-spacing)*17)!important}.mvx\\:w-24\\!{width:calc(var(--mvx-spacing)*24)!important}.mvx\\:w-40\\!{width:calc(var(--mvx-spacing)*40)!important}.mvx\\:w-full\\!{width:100%!important}.mvx\\:min-w-4\\!{min-width:calc(var(--mvx-spacing)*4)!important}.mvx\\:items-center{align-items:center}.mvx\\:rounded-full\\!{border-radius:3.40282e+38px!important}.mvx\\:rounded-lg\\!{border-radius:var(--mvx-radius-lg)!important}.mvx\\:border{border-style:var(--tw-border-style);border-width:1px}.mvx\\:border-solid{--tw-border-style:solid;border-style:solid}.mvx\\:border-transparent{border-color:#0000}.mvx\\:bg-neutral-700\\!{background-color:var(--mvx-color-neutral-700)!important}.mvx\\:p-4{padding:calc(var(--mvx-spacing)*4)}}@property --tw-border-style{syntax:\"*\";inherits:false;initial-value:solid} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;.pagination-ellipsis-form{cursor:default;display:flex;flex-direction:column;text-align:left}.pagination-ellipsis-form .pagination-ellipsis-form-field-label{color:#a3a3a3;cursor:pointer;font-size:12px;margin-bottom:8px}.pagination-ellipsis-form .pagination-ellipsis-form-field{display:flex;gap:8px;position:relative}.pagination-ellipsis-form .pagination-ellipsis-form-field .pagination-ellipsis-form-field-input{appearance:none;-moz-appearance:textfield;background:#171717;border-color:#0000;border-radius:8px;border-width:1px;box-shadow:none;color:#fff;font-size:1rem;height:44px;margin:0;outline:none;padding:12px 40px 12px 12px;text-align:center;transition:all .2s;width:88px}.pagination-ellipsis-form .pagination-ellipsis-form-field .pagination-ellipsis-form-field-input::-webkit-inner-spin-button,.pagination-ellipsis-form .pagination-ellipsis-form-field .pagination-ellipsis-form-field-input::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}.pagination-ellipsis-form .pagination-ellipsis-form-field .pagination-ellipsis-form-field-input:focus{border-color:#23f7dd}.pagination-ellipsis-form .pagination-ellipsis-form-field .pagination-ellipsis-form-button{background-color:#0000;border:none;cursor:pointer;display:flex;font-size:12px;height:32px;line-height:1;outline:none;position:absolute;right:4px;top:50%;transform:translateY(-50%)}.pagination-ellipsis-form .pagination-ellipsis-form-field .pagination-ellipsis-form-button:hover .pagination-ellipsis-form-button-icon{fill:#23f7dd}@media (hover:hover){.mvx\\:hover\\:\\!fill-teal-400:hover{fill:var(--mvx-color-teal-400)!important}}";

const paginationEllipsisFormClasses = {
    buttonIcon: 'mvx:p-[10px] mvx:hover:!fill-teal-400',
};
const PaginationEllipsisForm = /*@__PURE__*/ proxyCustomElement(class PaginationEllipsisForm extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.search = createEvent(this, "search", 1);
        this.pageValue = '';
        this.isVisible = false;
        this.handleInput = this.handleInput.bind(this);
        this.handleSubmit = this.handleSubmit.bind(this);
        this.handleKeyDown = this.handleKeyDown.bind(this);
        this.handleInputReference = this.handleInputReference.bind(this);
    }
    handleInputReference(inputElement) {
        this.inputElement = inputElement;
    }
    handleKeyDown(event) {
        if (event.code === 'Enter') {
            event.preventDefault();
            this.handleSubmit(event);
        }
        if (['Equal', 'Minus', 'Period', 'KeyE', 'Comma'].includes(event.code)) {
            event.preventDefault();
            return;
        }
    }
    handleInput(event) {
        const input = event.target;
        const isBelowMax = parseFloat(input.value) <= this.maxPageToSearchFor;
        if (isBelowMax) {
            this.pageValue = input.value;
        }
        else {
            input.value = this.pageValue;
        }
    }
    handleSubmit(event) {
        if (!this.pageValue) {
            return;
        }
        event.preventDefault();
        this.search.emit(parseInt(this.pageValue === '0' ? '1' : this.pageValue));
    }
    handleVisibilityChange(newValue) {
        if (newValue && this.inputElement) {
            this.inputElement.focus();
        }
    }
    render() {
        return (h("div", { key: '97f6eea417db7bf3dea2812b9352eefbc492b66d', class: "pagination-ellipsis-form", onClick: (event) => event.stopPropagation() }, h("label", { key: '573c95696820c31ca3d16a8a82e0bcdf290d7bc0', htmlFor: "paginationSearch", class: "pagination-ellipsis-form-field-label" }, "Page"), h("div", { key: '208973ff240fabc0e792b509e00d7daf2e2ecb35', class: "pagination-ellipsis-form-field" }, h("input", { key: '0c619f2d388214cfff93f59012951a94c4f71072', type: "number", autoFocus: true, autoComplete: "off", id: "paginationSearch", value: this.pageValue, name: "paginationSearch", onInput: this.handleInput, max: this.maxPageToSearchFor, onKeyDown: this.handleKeyDown, ref: this.handleInputReference, class: "pagination-ellipsis-form-field-input" }), h("div", { key: '1617dba47ceaefb4200d11326569f5ee0d03cac5', class: "pagination-ellipsis-form-button", onClick: this.handleSubmit }, h("mvx-magnifying-glass-icon", { key: '5bb55a943fc6502a3edb108666a7bade814b4cdc', class: classNames('pagination-ellipsis-form-button-icon', paginationEllipsisFormClasses.buttonIcon) })))));
    }
    static get watchers() { return {
        "isVisible": ["handleVisibilityChange"]
    }; }
    static get style() { return paginationEllipsisFormCss; }
}, [1, "mvx-pagination-ellipsis-form", {
        "maxPageToSearchFor": [2, "max-page-to-search-for"],
        "isVisible": [4, "is-visible"],
        "pageValue": [32]
    }, undefined, {
        "isVisible": ["handleVisibilityChange"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-pagination-ellipsis-form", "mvx-magnifying-glass-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-pagination-ellipsis-form":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, PaginationEllipsisForm);
            }
            break;
        case "mvx-magnifying-glass-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { PaginationEllipsisForm as P, defineCustomElement as d };
//# sourceMappingURL=p-BFsK_i6M.js.map

//# sourceMappingURL=p-BFsK_i6M.js.map