import { h } from './p-BpHwayS4.js';
import { P as ProviderTypeEnum } from './p-DQiA5Puh.js';

const getProviderButtonIcon = (providerType) => {
    switch (providerType) {
        case ProviderTypeEnum.extension:
            return h("mvx-extension-provider-icon", null);
        case ProviderTypeEnum.metamask:
            return h("mvx-metamask-provider-icon", null);
        case ProviderTypeEnum.passkey:
            return h("mvx-passkey-provider-icon", null);
        case ProviderTypeEnum.walletConnect:
            return h("mvx-multiversx-logo-icon", null);
        case ProviderTypeEnum.ledger:
            return h("mvx-ledger-provider-icon", null);
        case ProviderTypeEnum.crossWindow:
            return h("mvx-wallet-provider-icon", null);
        default:
            return h("mvx-multiversx-logo-icon", null);
    }
};

export { getProviderButtonIcon as g };
//# sourceMappingURL=p-BhjHTsUO.js.map

//# sourceMappingURL=p-BhjHTsUO.js.map