import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';
import { j as faLayerGroup } from './p-K2hYtZxB.js';
import { c as classNames } from './p-DMLRPGid.js';
import { D as DataTestIdsEnum } from './p-BPc6-DQj.js';
import { d as defineCustomElement$3 } from './p-C1GhFI9A.js';
import { d as defineCustomElement$2 } from './p-BNtfUvHJ.js';
import { d as defineCustomElement$1 } from './p-hg0g0bbZ.js';

const transactionValueCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.transaction-action .transaction-nft-badge{margin:0 .25rem auto auto}.transaction-action-content{align-items:center;display:flex}.transaction-value,.transaction-value-content{align-items:center;display:flex;gap:.25rem}.transaction-value-img{border:1px solid #dee2e6;border-radius:50%;color:#0000;height:1.5rem;min-height:1.5rem;min-width:1.5rem;overflow:hidden;width:1.5rem}.badge{border-radius:.25rem;display:inline-block;font-size:75%;font-weight:700;line-height:1;padding:.25em .4em;text-align:center;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;vertical-align:baseline;white-space:pre-wrap;width:max-content;word-break:break-all}.badge-pill{border-radius:10rem;padding-left:.6em;padding-right:.6em}.badge-primary{background-color:#007bff;color:#fff}.badge-secondary{background-color:#6c757d;color:#fff}.badge-danger{background-color:#dc3545;color:#fff}.badge-light{background-color:#f8f9fa;color:#212529}.text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.text-capitalize{text-transform:capitalize}.text-white{color:#fff}@media (prefers-reduced-motion:reduce){.badge{transition:none}}";

const TransactionValue = /*@__PURE__*/ proxyCustomElement(class TransactionValue extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        var _a;
        return (h("div", { key: '0d2db904d337fd3a3e8e9e441002adbfcef6feca', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '2b30515f229a5fbecdf39f4774f814d4186ebeb5', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("mvx-format-amount", { key: '710dab7d879b1968ca885f10e2dd3b62770276fb', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("mvx-explorer-link", { key: '26d20559be1820a865e7656e87a7bb1d6f71c10b', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: 'bd42b9c2db228d6e1a72543284a2cef3826d7f2a', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: 'a86cb43b7f72f8c6089528d2ac689bbe94995da7', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: 'da4f216c02bcb5e86b77fdc30002353e6334ef3b', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("mvx-fa-icon", { key: 'dbbea81ea13fc91eb9bc73fe45f04d7769364f47', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get style() { return transactionValueCss; }
}, [0, "mvx-transaction-value", {
        "class": [1],
        "value": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-value", "mvx-explorer-link", "mvx-fa-icon", "mvx-format-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-value":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionValue);
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-format-amount":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionValue as T, defineCustomElement as d };
//# sourceMappingURL=p-CXmIN6O8.js.map

//# sourceMappingURL=p-CXmIN6O8.js.map