'use strict';

var _documentCurrentScript = typeof document !== 'undefined' ? document.currentScript : null;
const fontVariants = [
    { weight: 400, name: `Regular` },
    { weight: 500, name: `Medium` },
    { weight: 700, name: `Bold` },
];
fontVariants.forEach(fontVariant => {
    const fontName = 'Satoshi';
    const fontPath = `../collection/assets/fonts/${fontName}-${fontVariant.name}.woff2`;
    const fontUrl = new URL(fontPath, (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (_documentCurrentScript && _documentCurrentScript.tagName.toUpperCase() === 'SCRIPT' && _documentCurrentScript.src || new URL('app-globals-BxZFx1E9.js', document.baseURI).href)));
    const fontFace = new FontFace(fontName, `url(${fontUrl.href})`, {
        style: 'normal',
        weight: String(fontVariant.weight),
    });
    fontFace.load().then(loadedFace => {
        document.fonts.add(loadedFace);
    });
});

const globalFn = () => { };

const globalScripts = globalFn;

exports.globalScripts = globalScripts;
//# sourceMappingURL=app-globals-BxZFx1E9.js.map

//# sourceMappingURL=app-globals-BxZFx1E9.js.map