import { h } from "@stencil/core";
export class MagnifyingGlassIcon {
    render() {
        return (h("svg", { key: '373cf6a84171e6dfa0ffdcb8904c070f0851dafb', xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 512 512", class: { 'magnifying-glass-icon': true, [this.class]: Boolean(this.class) } }, h("path", { key: '535b4f7def654ff32202e6f27856bcbd264ee1c8', d: "M416 208c0 45.9-14.9 88.3-40 122.7L502.6 457.4c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L330.7 376c-34.4 25.2-76.8 40-122.7 40C93.1 416 0 322.9 0 208S93.1 0 208 0S416 93.1 416 208zM208 352a144 144 0 1 0 0-288 144 144 0 1 0 0 288z" })));
    }
    static get is() { return "mvx-magnifying-glass-icon"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["magnifying-glass-icon.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["magnifying-glass-icon.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=magnifying-glass-icon.js.map
