import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionShards {
    render() {
        return (h("div", { key: '9b1a9a0ad0b562e2290ff574ac79255fda9162af', class: classNames(this.class, 'transaction-shards') }, h("mvx-explorer-link", { key: 'be3f8ea8f68629ac2856d47d6ab91610cf324c6c', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: '4b178d8aa1597d0073626b2d4f938eee6ca1e136', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '820002391d10a4f015161bc5d6bfd0d0c488c0d9', class: "transaction-shards-arrow" }, "\u2794"), h("mvx-explorer-link", { key: '2f0f00cdbf94da1eef5dc5e3605475c48dd96cf0', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: '93acd7b86af9179ed48f87041bb7100cd94f410b', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get is() { return "mvx-transaction-shards"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "transaction": {
                "type": "unknown",
                "attribute": "transaction",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-shards.js.map
