import { h } from "@stencil/core";
export class Preloader {
    render() {
        return (h("div", { key: '78d3eb4b209120d05ba6e679813d8a7c11dea221', class: { preloader: true, [this.class]: Boolean(this.class) } }, h("slot", { key: '92c80cf2cb4740b16df798114386287b91f58282' })));
    }
    static get is() { return "mvx-preloader"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["preloader.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["preloader.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=preloader.js.map
