import { r as registerInstance, h } from './index-75P0zkYH.js';
import { s as state } from './signTransactionsPanelStore-DHmibcLV.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("mvx-sign-transaction-component", { key: '8f229a6bc92d9afd9604861143e2ac9d89276d8d', header: h("mvx-balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as mvx_token_component };
//# sourceMappingURL=mvx-token-component.entry.js.map

//# sourceMappingURL=mvx-token-component.entry.js.map