import type { ISignTransactionsPanelData } from "./sign-transactions-panel.types";
interface ITransactionState extends ISignTransactionsPanelData {
    isLoading: boolean;
    isWaitingForSignature: boolean;
    onCancel: () => void;
    onBack: () => void;
    onConfirm: () => void;
    onSetPpu: (ppu: number) => void;
}
declare const state: ITransactionState;
export declare const resetState: () => {
    isLoading: boolean;
    isWaitingForSignature: boolean;
    onCancel: () => void;
    onBack: () => void;
    onConfirm: () => void;
    onSetPpu: (ppu: number) => void;
    shouldClose?: boolean;
    commonData: import("components/functional/sign-transactions-panel/sign-transactions-panel.types").ISignTransactionsPanelCommonData;
    tokenTransaction: {
        identifier?: string;
        amount: string;
        usdValue: string;
    } | null;
    nftTransaction: import("components/functional/sign-transactions-panel/sign-transactions-panel.types").FungibleTransactionType | null;
    sftTransaction: import("components/functional/sign-transactions-panel/sign-transactions-panel.types").FungibleTransactionType | null;
};
export default state;
