import { p as proxyCustomElement, H, c as createEvent, h } from './p-BpHwayS4.js';
import { d as defineCustomElement$2 } from './p-A8g08p2V.js';
import { d as defineCustomElement$1 } from './p-Dn4_Aljf.js';

const ledgerIntroCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-color-neutral-700:oklch(.371 0 0);--mvx-spacing:.25rem;--mvx-radius-lg:.5rem;--mvx-color-teal-400:oklch(.777 .152 181.912);--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;@layer utilities{.mvx\\:p-\\[10px\\]{padding:10px}.mvx\\:h-auto\\!{height:auto!important}.mvx\\:w-4\\!{width:calc(var(--mvx-spacing)*4)!important}} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;@layer utilities{} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer properties{@supports (((-webkit-hyphens:none)) and (not (margin-trim:inline))) or ((-moz-orient:inline) and (not (color:rgb(from red r g b)))){*,::backdrop,:after,:before{--tw-border-style:solid}}}@layer base{}@layer components;@layer utilities{.mvx\\:absolute{position:absolute}.mvx\\:top-0{top:calc(var(--mvx-spacing)*0)}.mvx\\:right-0{right:calc(var(--mvx-spacing)*0)}.mvx\\:left-0{left:calc(var(--mvx-spacing)*0)}.mvx\\:mr-2{margin-right:calc(var(--mvx-spacing)*2)}.mvx\\:mr-auto{margin-right:auto}.mvx\\:ml-2{margin-left:calc(var(--mvx-spacing)*2)}.mvx\\:flex{display:flex}.mvx\\:h-4\\!{height:calc(var(--mvx-spacing)*4)!important}.mvx\\:h-12{height:calc(var(--mvx-spacing)*12)}.mvx\\:h-16\\!{height:calc(var(--mvx-spacing)*16)!important}.mvx\\:w-9\\!{width:calc(var(--mvx-spacing)*9)!important}.mvx\\:w-10\\!{width:calc(var(--mvx-spacing)*10)!important}.mvx\\:w-13\\!{width:calc(var(--mvx-spacing)*13)!important}.mvx\\:w-17\\!{width:calc(var(--mvx-spacing)*17)!important}.mvx\\:w-24\\!{width:calc(var(--mvx-spacing)*24)!important}.mvx\\:w-40\\!{width:calc(var(--mvx-spacing)*40)!important}.mvx\\:w-full\\!{width:100%!important}.mvx\\:min-w-4\\!{min-width:calc(var(--mvx-spacing)*4)!important}.mvx\\:items-center{align-items:center}.mvx\\:rounded-full\\!{border-radius:3.40282e+38px!important}.mvx\\:rounded-lg\\!{border-radius:var(--mvx-radius-lg)!important}.mvx\\:border{border-style:var(--tw-border-style);border-width:1px}.mvx\\:border-solid{--tw-border-style:solid;border-style:solid}.mvx\\:border-transparent{border-color:#0000}.mvx\\:bg-neutral-700\\!{background-color:var(--mvx-color-neutral-700)!important}.mvx\\:p-4{padding:calc(var(--mvx-spacing)*4)}}@property --tw-border-style{syntax:\"*\";inherits:false;initial-value:solid} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;:host{display:flex;flex:1;flex-direction:column;overflow:hidden}:host .ledger-intro{display:flex;flex:1;flex-direction:column;font-family:Satoshi,sans-serif}:host .ledger-intro .ledger-intro-wrapper{align-items:center;display:flex;flex-direction:column;font-size:16px;gap:24px;text-align:center}:host .ledger-intro .ledger-intro-wrapper .ledger-intro-icon{margin-left:auto}:host .ledger-intro .ledger-intro-wrapper .ledger-intro-description{color:#a09a93;font-size:16px;line-height:1.5}:host .ledger-intro .ledger-intro-wrapper .ledger-intro-button{align-items:center;background-color:#23f7dd;border:1px solid #23f7dd;border-radius:12px;color:#000;cursor:pointer;display:flex;font-weight:700;gap:8px;height:48px;justify-content:center;line-height:1;margin-top:20px;transition:all .2s;width:192px}:host .ledger-intro .ledger-intro-wrapper .ledger-intro-button:hover{opacity:.75}:host .ledger-intro .ledger-intro-wrapper .ledger-intro-button.loading{background-color:#0000;border-color:#a09a93;color:#a09a93;cursor:default;pointer-events:none}:host .ledger-intro .ledger-intro-wrapper .ledger-intro-error{color:#dc2626;font-size:16px;line-height:1.5;margin-bottom:24px;max-width:240px}:host .ledger-intro .ledger-intro-issues{color:#a09a93;font-size:16px;margin:auto auto 0;padding-bottom:4px;padding-top:40px;position:relative;text-align:center}:host .ledger-intro .ledger-intro-issues:after{background-color:#a09a93;bottom:0;content:\"\";height:1px;left:8px;opacity:0;position:absolute;right:8px;transition:all .2s}:host .ledger-intro .ledger-intro-issues:hover:after{opacity:.5}@media (hover:hover){.mvx\\:hover\\:\\!fill-teal-400:hover{fill:var(--mvx-color-teal-400)!important}}";

const LedgerIntro = /*@__PURE__*/ proxyCustomElement(class LedgerIntro extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.connect = createEvent(this, "connect", 7);
        this.isAwaiting = false;
    }
    handleLedgerConnectClick(event) {
        event.preventDefault();
        if (this.connect) {
            this.connect.emit(event);
        }
    }
    render() {
        const showError = this.connectScreenData && this.connectScreenData.error;
        const buttonLabel = (() => {
            if (this.isAwaiting) {
                return 'Connecting...';
            }
            if (showError) {
                return 'Retry Connection';
            }
            return 'Connect Ledger';
        })();
        return (h("div", { class: "ledger-intro" }, h("div", { class: "ledger-intro-wrapper" }, h("mvx-ledger-icon", { class: "ledger-intro-icon" }), h("div", { class: "ledger-intro-description" }, "Connect your device ", h("br", null), "and open the MultiversX App"), h("button", { class: { 'ledger-intro-button': true, 'loading': Boolean(this.isAwaiting) }, onClick: this.handleLedgerConnectClick.bind(this) }, h("span", { class: "ledger-intro-button-label" }, buttonLabel), this.isAwaiting && h("mvx-spinner-icon", null)), showError && h("div", { class: "ledger-intro-error" }, this.connectScreenData.error)), h("a", { href: "https://support.ledger.com/hc/en-us/articles/115005165269-Connection-issues-with-Windows-or-Linux", target: "_blank", rel: "noopener noreferrer", class: "ledger-intro-issues" }, "Having connection issues?")));
    }
    static get style() { return ledgerIntroCss; }
}, [1, "mvx-ledger-intro", {
        "connectScreenData": [16, "connect-screen-data"],
        "isAwaiting": [4, "is-awaiting"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-ledger-intro", "mvx-ledger-icon", "mvx-spinner-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-ledger-intro":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerIntro);
            }
            break;
        case "mvx-ledger-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-spinner-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { LedgerIntro as L, defineCustomElement as d };
//# sourceMappingURL=p-D8MEO0qj.js.map

//# sourceMappingURL=p-D8MEO0qj.js.map